---
title: XDomainRequest.abort()
slug: Web/API/XDomainRequest/abort
tags:
  - API
  - DOM
  - IE
  - Method
  - Microsoft
  - Obsolete
  - Reference
---
<div>{{APIRef("XDomain")}}{{obsolete_header}}{{non-standard_header}}</div>

<p>Aborts an {{domxref("XDomainRequest")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">xdr.abort();</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var xdr = new XDomainRequest();
xdr.open("GET", "http://example.com/api/method");
xdr.send();
xdr.abort();</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.XDomainRequest.abort")}}</p>
